package com.example.takeawaysystemserver.service;

import com.example.takeawaysystemserver.entity.User;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.takeawaysystemserver.model.dto.UserRegisterDTO;
import com.example.takeawaysystemserver.util.R;

/**
* @author qiushengyu
* @description 针对表【user】的数据库操作Service
* @createDate 2024-07-11 17:14:00
*/
public interface UserService extends IService<User> {
    /**
     * 用户注册
     * @param userRegisterDTO 注册类DTO
     * @return 注册信息
     */
    R<String> register(UserRegisterDTO userRegisterDTO);
}
